Next: FDATE, Previous: EXPONENT, Up: Intrinsic Procedures

### 8.81 `EXTENDS_TYPE_OF` — Query dynamic type for extension

Description:
  Query dynamic type for extension.
Standard:
  Fortran 2003 and later
Class:
  Inquiry function
Syntax:
  `RESULT = EXTENDS_TYPE_OF(A, MOLD)`
Arguments:

  A | Shall be an object of extensible declared type or unlimited polymorphic.
  MOLD | Shall be an object of extensible declared type or unlimited polymorphic.

Return value:
  The return value is a scalar of type default logical. It is true if and only if the dynamic type of A is an extension type of the dynamic type of MOLD.
See also:
  SAME_TYPE_AS